org.appng.xml.platform

## Class Option

- java.lang.Object
- - org.appng.xml.BaseObject
  - - org.appng.xml.platform.Option

- All Implemented Interfaces:
    Serializable

      public class Option
      extends BaseObject
      implements Serializable

  Defines a possible option for a `Selection`
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Boolean` | `disabled`
    `protected Integer` | `hits`
    `protected String` | `name`
    `protected Boolean` | `selected`
    `protected String` | `value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Option()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Integer` | `getHits()` Tells how many hits there are for this option.
    `String` | `getName()` The name of the option.
    `String` | `getValue()` The value of the option.
    `Boolean` | `isDisabled()` Used for marking the option as disabled.
    `Boolean` | `isSelected()` Used for marking the option as selected.
    `void` | `setDisabled(Boolean value)` Sets the value of the disabled property.
    `void` | `setHits(Integer value)` Sets the value of the hits property.
    `void` | `setName(String value)` Sets the value of the name property.
    `void` | `setSelected(Boolean value)` Sets the value of the selected property.
    `void` | `setValue(String value)` Sets the value of the value property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### value

          protected String value

    - #### name

          protected String name

    - #### selected

          protected Boolean selected

    - #### hits

          protected Integer hits

    - #### disabled

          protected Boolean disabled

  - ### Constructor Detail

    - #### Option

          public Option()

  - ### Method Detail

    - #### getValue

          public String getValue()

      The value of the option.
      Returns:
        possible object is `String`

    - #### setValue

          public void setValue(String value)

      Sets the value of the value property.
      Parameters:
        `value` - allowed object is `String`

    - #### getName

          public String getName()

      The name of the option.
      Returns:
        possible object is `String`

    - #### setName

          public void setName(String value)

      Sets the value of the name property.
      Parameters:
        `value` - allowed object is `String`

    - #### isSelected

          public Boolean isSelected()

      Used for marking the option as selected.
      Returns:
        possible object is `Boolean`

    - #### setSelected

          public void setSelected(Boolean value)

      Sets the value of the selected property.
      Parameters:
        `value` - allowed object is `Boolean`

    - #### getHits

          public Integer getHits()

      Tells how many hits there are for this option.
      Returns:
        possible object is `Integer`

    - #### setHits

          public void setHits(Integer value)

      Sets the value of the hits property.
      Parameters:
        `value` - allowed object is `Integer`

    - #### isDisabled

          public Boolean isDisabled()

      Used for marking the option as disabled.
      Returns:
        possible object is `Boolean`

    - #### setDisabled

          public void setDisabled(Boolean value)

      Sets the value of the disabled property.
      Parameters:
        `value` - allowed object is `Boolean`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.